package com.argotec.siar;

import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

@Configuration
@ConfigurationProperties(prefix = "webdriver")
@ComponentScan(basePackages = "com.argotec.siar")
@EntityScan(basePackages = "com.argotec.siar")
@EnableJpaRepositories(basePackages = "com.argotec.siar")
public class SiarConfiguration {

    public static class Gecko {
        public void setDriver(String driver) {
            System.setProperty("webdriver.gecko.driver", driver);
        }
    }

    public void setGecko(Gecko gecko) {
    }
}
