package com.argotec.siar.repository;

import com.argotec.siar.model.IrrigationCommunity;
import com.argotec.siar.model.Province;
import com.argotec.siar.model.Station;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface StationRepository extends JpaRepository<Station, Long> {

    List<Station> findAllByProvince(Province province);

    List<Station> findAllByIrrigationCommunity(IrrigationCommunity irrigationCommunity);

    Station findByName(String name);
}
