package com.argotec.siar.service;

import com.argotec.siar.model.Crop;
import com.argotec.siar.model.IrrigationCommunity;
import com.argotec.siar.model.Province;
import com.argotec.siar.model.Station;

import java.util.List;
import java.util.Set;

public interface StationService {

    Station getByName(String stationName);

    List<Station> getAllStations(boolean ws);

    List<Station> getAllStations(Province province, boolean ws);

    List<Station> getAllStations(IrrigationCommunity irrigationCommunity, boolean ws);

    Set<Crop> getCropsByStation(Station station, boolean ws);
}
