package com.argotec.siar.scraper;

import com.argotec.siar.model.Station;
import org.junit.Ignore;
import org.junit.Test;

import java.util.List;

import static org.hamcrest.CoreMatchers.*;
import static org.hamcrest.MatcherAssert.assertThat;

public class ScraperStationInfoTest {

    @Test
    @Ignore
    public void scrapeAll() {
        ScraperStationInfo instance = new ScraperStationInfo();
        List<Station> list = instance.scrapeAll();
        System.out.println(list);
    }

    @Test
    public void fetchStationInfo() {
        ScraperStationInfo instance = new ScraperStationInfo();

        Station station = instance.fetchStationInfo("AB02", "");
        System.out.println(station);
    }

    @Test
    public void scrapeOne() {
        Station station;
        ScraperStationInfo instance = new ScraperStationInfo();

        station = instance.scrapeOne("Adra");
        assertThat(station, notNullValue());
        assertThat(station.getName(), equalTo("Adra"));

        station = instance.scrapeOne("Miranda de Ebro");
        assertThat(station, notNullValue());

        station = instance.scrapeOne("SOMETHING WRONG");
        assertThat(station, nullValue());
    }
}
