/*package siar.service;

import AutonomousCommunity;
import AutonomousCommunityRepository;
import RestapiApplication;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.mock.mockito.MockBean;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.ArrayList;
import java.util.List;

import static org.mockito.Mockito.when;


@RunWith(SpringRunner.class)
@SpringBootTest(
        classes = RestapiApplication.class
)
public class AutonomousCommunityServiceImplCompleteContextTest {

    private static final Logger log = LoggerFactory.getLogger(AutonomousCommunityServiceImplCompleteContextTest.class);

    private List<AutonomousCommunity> allCommunities = new ArrayList<>();

    @Autowired
    private AutonomousCommunityServiceImpl service;

    @MockBean
    private AutonomousCommunityRepository repository;

    @Before
    public void setUp() {
        AutonomousCommunity firstCommunity = new AutonomousCommunity("AACC R1");
        firstCommunity.setId(5L);
        allCommunities.add(firstCommunity);
        AutonomousCommunity secondCommunity = new AutonomousCommunity("AACC R2");
        secondCommunity.setId(6L);
        allCommunities.add(secondCommunity);
        AutonomousCommunity thirdCommunity = new AutonomousCommunity("AACC R3");
        thirdCommunity.setId(7L);
        allCommunities.add(thirdCommunity);
        AutonomousCommunity fourthCommunity = new AutonomousCommunity("AACC R2");
        fourthCommunity.setId(8L);
        allCommunities.add(fourthCommunity);

        for (AutonomousCommunity com : allCommunities) {
            log.info("allCommunities - name: " + com.getName() + " id: " + com.getId());
        }

        when(repository.findAll()).thenReturn(allCommunities);
    }

    @Test
    public void findAllCommunitiesShouldReturnAllCommunities() throws Exception {
        List<AutonomousCommunity> currentCommunities = service.findAllCommunities();
        for (AutonomousCommunity c : currentCommunities) {
            log.info("currentCommunity - name: " + c.getName() + " id: " + c.getId());
        }

        assertThat(repository.findAll(), empty());
        assertThat(allCommunities, is(currentCommunities));
    }

    @Test
    public void findByNameShouldReturnThisCommunity() throws Exception {
        when(repository.findByName("AACC TSCC1")).thenReturn(firstCommunity);

        AutonomousCommunity communityFound = service.findByName("AACC TSCC1");

        assertThat(firstCommunity, is(communityFound));
    }
}
*/