package com.argotec.scraper;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

import java.util.ArrayList;
import java.util.List;

public class Function {

    public static List<List<String>> createTable(WebDriver driver) {
        List<WebElement> allRows = driver.findElements(By.cssSelector("tr"));
        List<List<String>> table = new ArrayList<>(allRows.size());
        int countRow = 0;

        for (WebElement row : allRows) {
            table.add(new ArrayList<>());
            List<WebElement> titles = row.findElements(By.tagName("th"));
            List<WebElement> content = row.findElements(By.tagName("td"));

            if (!titles.isEmpty()) {
                for (WebElement title : titles) {
                    table.get(countRow).add(title.getText());
                }
            }

            if (!content.isEmpty()) {
                for (WebElement cell : content) {
                    table.get(countRow).add(cell.getText());
                }
            }
            countRow++;
        }
        return table;
    }

    public static void contentTable(List<List<String>> table) {
        for (int i = 0; i < table.size(); i++) {
            for (int j = 0; j < table.get(i).size(); j++) {
                System.out.println("(i=" + i + ",j=" + j + ") " + " Contenido: " + table.get(i).get(j));
            }
        }

    }
}
