package com.argotec.siar.repository;

import com.argotec.siar.model.Measurement;
import org.springframework.data.jpa.repository.JpaRepository;

import java.time.LocalDate;
import java.util.List;

public interface MeasurementRepository extends JpaRepository<Measurement, Long> {

    List<Measurement> findAllByStationIdAndDateBetween(Long stationId, LocalDate startDate, LocalDate endDate);

    Measurement findByStationIdAndDate(Long stationId, LocalDate date);
}
